> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate a run

> Returns the size of a new measurement run of the site: the prompts, personas and AI assistants that it would include.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/visibility/runs/estimate
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/visibility/runs/estimate:
    get:
      tags:
        - Visibility
      summary: Estimate a run
      description: >-
        Returns the size of a new measurement run of the site: the prompts,
        personas and AI assistants that it would include.
      operationId: estimate_run
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunEstimateResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    RunEstimateResponse:
      type: object
      properties:
        cells:
          type: integer
        prompt_count:
          type: integer
        persona_count:
          type: integer
        includes_raw:
          type: boolean
        assistants:
          type: array
          items:
            $ref: '#/components/schemas/Assistant'
      required:
        - assistants
        - cells
        - includes_raw
        - persona_count
        - prompt_count
    Assistant:
      enum:
        - chatgpt
        - gemini
        - claude
        - perplexity
        - googleai
        - grok
        - deepseek
      type: string
      description: |-
        * `chatgpt` - chatgpt
        * `gemini` - gemini
        * `claude` - claude
        * `perplexity` - perplexity
        * `googleai` - googleai
        * `grok` - grok
        * `deepseek` - deepseek
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.